Skip to navigation

Get User Details

Returns detailed user information for the user specified by userId. Unlike Get All Users, this endpoint includes extra fields by default.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

userIdintegerRequired

The unique identifier of the user as reported by Get All Users.

Response

Success
codeintegerOptionalDefaults to 200
Operation status code.
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error